package kr.hews.hellorsrc;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;

public class HelloAnimetion extends Activity implements OnClickListener{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Button b = (Button)findViewById(R.id.button);
        b.setOnClickListener(this);
    }

	public void onClick(View v) {
		ImageView animWindow = (ImageView)findViewById(R.id.image_view);

		Animation anim = AnimationUtils.loadAnimation(this, R.anim.move);
		anim.setRepeatMode(Animation.RESTART);
		
		animWindow.startAnimation(anim);
	}
}