package kr.hews.hello;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

public class HelloMenu extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    private static final int MENU1_ID = Menu.FIRST;
    private static final int MENU2_ID = Menu.FIRST+1;

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {		
		boolean result = super.onCreateOptionsMenu(menu);
	    //޴ ߰Ѵ
	    menu.add(0, MENU1_ID, Menu.NONE, R.string.menu1);
	    menu.add(0, MENU2_ID, Menu.NONE, R.string.menu2);
	    return result;

	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
	    switch(item.getItemId( )){
        case MENU1_ID:
            //޴ 1   ó ⿡ Ѵ
            return true;
        case MENU2_ID:
            //޴ 2   ó ⿡ Ѵ
            return true;
	    }
	    // Ŭ ϰ   ID θŬ ó ñ
		return super.onOptionsItemSelected(item);
	}	
}

