package kr.hews.hellorsrc;

import android.app.Activity;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

public class HelloResource extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        TextView t = (TextView)findViewById(R.id.textview);
        int color = getResources().getColor(R.color.translucent_red);
        t.setBackgroundColor(color);
        String format = getResources().getString(R.string.format_string);
        String resultsText = String.format(format, 100, "String Result");
        t.setText(resultsText);
        
        CharSequence c = getText(R.string.styled_string);
        TextView t4 = (TextView)findViewById(R.id.textview4);
        t4.setText(c);
        t4.setText(c.toString());
        
        float dimen = getResources().getDimension(R.dimen.large_size);
        t4.setTextSize(dimen);
        
        Drawable green = getResources().getDrawable(R.drawable.opaque_green);
        t4.setBackgroundDrawable(green);
        
        Button b = (Button)findViewById(R.id.button);
        b.setOnClickListener(new View.OnClickListener() {

			public void onClick(View v) {
				ImageView i = (ImageView)findViewById(R.id.imageview);
				Animation anim = AnimationUtils.loadAnimation(HelloResource.this, R.anim.rotate);
		        TextView t = (TextView)findViewById(R.id.textview);
		        t.startAnimation(anim);
				anim.setRepeatMode(Animation.ABSOLUTE);
				i.startAnimation(anim);
			}
        });
    }
}