package kr.hews.helloservice;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

//  䱸ϴ Activity
public class HelloServiceActivity extends Activity {

    ComponentName mService;  //⵿  ̸
    TextView mTextView;      //  ¸ ǥѴ
    /*
     * ۹ư ư Ѵ
     */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        mTextView = (TextView)findViewById(R.id.text_view_id);
        Button start = (Button)findViewById(R.id.start_button_id);
        start.setOnClickListener(new View.OnClickListener(){
            public void onClick(View v) {
                startHelloService();
            }});
        Button stop = (Button)findViewById(R.id.stop_button_id);
        stop.setOnClickListener(new View.OnClickListener(){
            public void onClick(View v) {
                stopHelloService();
            }});
    }

    /*
     *  ø̼  HelloService Ѵ
     * startService ⵿    ̸ ȯȴ
     */
    private void startHelloService() {
        mService = 
            startService(new Intent(this, HelloService.class));
        mTextView.append(mService.toShortString()+" started.\n");
    }

    /*
     * ⵿ 񽺸 Ѵ
     * startService     ̸  Ʈ Ѵ
     */
    private void stopHelloService() {
        if (mService == null) {
            mTextView.append("No requested service.\n");
            return;
        }
        Intent i = new Intent();
        i.setComponent(mService);
        if (stopService(i))
            mTextView.append(mService.toShortString()+" is stopped.\n");
        else
            mTextView.append(mService.toShortString()+" is alrady stopped.\n");
    }
}
